Self-Solve Knowledge Search

Minimize Maximize
JRE libraries are missing or not compatible
Title :
JRE libraries are missing or not compatible
Document ID :
KM02225800
Product - Version:
arcsight enterprise security manager 6.9.1 ;
OS :
Updated :
Tue Apr 12 10:36:51 GMT 2016
Summary :
During fresh installation or upgrade of ESM, installation/upgrade fails with ERROR message: JRE libraries are missing or not compatible
Problem

JRE libraries are missing or not compatible

Cause

This Error message is related to /tmp/ folder which is used during installation or upgrade. Some Arcsight related files are copied to this folder and executed from there.

The issue causing this error message may be:

1. Not enough space on FileShare where is /tmp/ folder mounted.

2. Execution permissions are disabled on /tmp/ folder.

Fix

 1. Minimal free space for /tmp/ folder should be at least 5GB.

 2. Remount /tmp/ partition with exec permission or adjust settings so that the files can be executed from this folder.